API Reference
Auto-generated
Email Preferences
API reference for email preferences endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.GET /api/v1/email-preferences
GET
/api/v1/email-preferencesRead email preferences
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| uid | string | Required | uid |
| token | string | Required | token |
Request Example
Bash
curl -X GET 'https://api.alterlab.io/api/v1/email-preferences?uid=<uid>&token=<token>' \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"ok": true,
"categories": []
}